/* Page ================ */

@import "../components/header/header";
@import "../components/popup/popup";

.page--locked {
  overflow: hidden;
}

.page__overlay {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: 2;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: $popup-overlay-background-color;
  opacity: 0;
  transition: $transition-time $transition-type;
  pointer-events: none;

  &.page__overlay--show {

    @include mq("laptop-small", "max") {
      opacity: 1;
      pointer-events: auto;
    }
  }
}

.page__header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: z(header);
  width: 100%;
}

.page__wrapper {
  flex-grow: 1;
  margin-top: $header-height;

  @include mq("desktop-large") {
    //max-width: 1920px;
    margin-right: auto;
    margin-left: auto;
  }

  @include mq("laptop-small", "max") {
    margin-top: 85px;
  }

  @include mq("tablet", "max") {
    margin-top: 70px;
  }

  @include mq("phone", "max") {
    margin-top: 56px;
  }
}

.page__footer {
  flex-shrink: 0;
}
/* ================ end page  */
